package net.woodyfolsom.msproj;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

import java.io.IOException;

import org.junit.Test;

public class TestGameSettings {

	@Test
	public void TestCreateGameSettings() throws IOException {
		GameSettings gameSettings = GameSettings.createGameSetings("data/test/gogame-test1.cfg");
		assertNotNull(gameSettings);
		
		assertEquals(8,gameSettings.getBoardSize());
		assertEquals(123L,gameSettings.getGuiDelay());
		assertEquals(3000L,gameSettings.getTurnTime());
		assertEquals(5.5,gameSettings.getKomi(),0.01);
		assertEquals("RAVE", gameSettings.getPlayerOne());
		assertEquals("RANDOM", gameSettings.getPlayerTwo());
		assertEquals(7, gameSettings.getNumGames());
	}
}
